/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: ListenerB.java 72034 2013-06-04 18:33:11Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.callback.common;


import javax.persistence.*;


public class ListenerB extends ListenerBB {
    
    public ListenerB() {
        super();
    }
    
    @Override
    @PrePersist
    public void prePersist(CallbackStatusIF b) {
        super.prePersist(b);
    }

    @Override
    @PostPersist
    public void postPersist(Object b) {
        super.postPersist(b);
    }
    
    @Override
    @PreRemove
    public void preRemove(CallbackStatusIF b) {
        super.preRemove(b);
    }
    
    @Override
    @PostRemove
    public void postRemove(Object b) {
        super.postRemove(b);
    }
    
    @Override
    @PreUpdate
    public void preUpdate(CallbackStatusIF b) {
        super.preUpdate(b);
    }
    
    @Override
    @PostUpdate
    public void postUpdate(Object b) {
        super.postUpdate(b);
    }
    
    @PostLoad
    @Override
    public void postLoad(CallbackStatusIF b) {
        super.postLoad(b);
    }
    
}
